### NAME

Tcl_SourceRCFile - source the Tcl rc file

### SYNOPSIS

#include <tcl8.3/tcl.h>
void
Tcl_SourceRCFile(interp)

### ARGUMENTS

Tcl_Interp *interp (in)
  Tcl interpreter to source rc file into.

### DESCRIPTION

Tcl_SourceRCFile is used to source the Tcl rc file at startup. It is typically invoked by Tcl_Main or Tk_Main. The name of the file sourced is obtained from the global variable tcl_rcFileName in the interpreter given by interp. If this variable is not defined, or if the file it indicates cannot be found, no action is taken.

On the Macintosh, after sourcing the rc file, this function will additionally source the TEXT resource indicated by the global variable tcl_rcRsrcName in interp.

### KEYWORDS

application-specific initialization, main program, rc file

    Copyright © 1998-2000 by Scriptics Corporation.
    Copyright © 1995-1997 Roger E. Critchlow Jr.